Subject: [Rfced-future] Fwd: New Version Notification for draft-iab-rfcefdp-rfced-model-07.txt

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 13 Dec 2021 16:16:22 -0700

Hi all, I've just now submitted version -07 of our document, which I 
think addresses all of the feedback received on version -06. If I have 
missed anything, please let me know by posting on the list or by filing 
a GitHub issue.

Thanks!

Peter

-------- Forwarded Message --------
Subject: New Version Notification for draft-iab-rfcefdp-rfced-model-07.txt
Date: Mon, 13 Dec 2021 15:12:44 -0800
From: [email-masked]
To: Peter Saint-Andre <[email-masked]>

A new version of I-D, draft-iab-rfcefdp-rfced-model-07.txt
has been successfully submitted by Peter Saint-Andre and posted to the
IETF repository.

Name:		draft-iab-rfcefdp-rfced-model
Revision:	07
Title:		RFC Editor Model (Version 3)
Document date:	2021-12-13
Group:		iab
Pages:		29
URL: 
https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-07.txt
Status: 
https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/
Html: 
https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-07.html
Htmlized: 
https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model
Diff: 
https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-07

Abstract:
    This document specifies version 3 of the RFC Editor Model.  The model
    defines two high-level tasks related to the RFC Series.  First,
    policy definition is the joint responsibility of the RFC Series
    Working Group (RSWG), which produces policy proposals, and the RFC
    Series Approval Board (RSAB), which approves such proposals.  Second,
    policy implementation is primarily the responsibility of the RFC
    Production Center (RPC) as contractually overseen by the IETF
    Administration Limited Liability Company (IETF LLC).

    This document obsoletes RFC 8728.  This document updates RFC 7841,
    RFC 8729, and RFC 8730.

The IETF Secretariat

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 13 Dec 2021 23:37:17 +0000

Hiya,

> missed anything, please let me know by posting on the list or by filing 

I just checked the diff and it looks good to me.

Thanks,
S.

> URL: https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-07.txt
> Status: https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/
> Html: https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-07.html
> Htmlized: 
> Diff: https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-07
> 
> Abstract:

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 13 Dec 2021 18:56:15 -0500

Thank you.  I looked at the diffs and this does even better than I had 
hoped.

Yours,
Joel

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 14 Dec 2021 11:28:39 +1100

Hi Peter, 

Thanks. Reading through, I found some potential ambiguities:

* This text in 3.1.2:

"""
Voting on approval of policy documents produced by the RSWG shall be delayed until the vacancy or vacancies have been filled, up to a maximum of 3 months; this clause does not apply to a vacancy of the RSCE role, only of the stream representatives enumerated above. If during this 3-month period a further vacancy arises, the delay should be extended by up to another 3 months.
"""

is slightly ambiguous. Does 'this clause' refer to the entire sentence preceding it, or the phrase 'up to a maximum of 3 months'? My assumption is that it's the former (the entire sentence).

* In 3.2.4:

"""
Decisions of the RSAB can be appealed on grounds of failure to follow the correct process. Where the RSAB makes a decision in order to resolve a disagreement between authors and the RPC (as described under Section 4.4), appeals can be filed on the basis that the RSAB misinterpreted an approved policy. In other cases, disagreements about the conduct of the RSAB are not subject to appeal.
"""

The 'in other cases' clause is ambiguous here -- does it apply to just the precedent sentence, or the two preceding sentences?

Cheers,

> On 14 Dec 2021, at 10:16 am, Peter Saint-Andre <[email-masked]> wrote:
> 
> Hi all, I've just now submitted version -07 of our document, which I think addresses all of the feedback received on version -06. If I have missed anything, please let me know by posting on the list or by filing a GitHub issue.
> 
> Thanks!
> 
> Peter
> 
> Htmlized: https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model
> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

--
Mark Nottingham   https://www.mnot.net/

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 13 Dec 2021 17:42:58 -0700

Hi Mark,

Thanks for your review.

> is slightly ambiguous. Does 'this clause' refer to the entire sentence preceding it, or the phrase 'up to a maximum of 3 months'? My assumption is that it's the former (the entire sentence).

Yes, we should perhaps say "this rule".

> The 'in other cases' clause is ambiguous here -- does it apply to just the precedent sentence, or the two preceding sentences?

I'll work to clear this up, but I've understood it to be the two 
preceding sentences.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 14 Dec 2021 16:24:00 +1300

I'm happy with the new draft, and also with Peter's interpretations below.

Regards
    Brian

---

From: Eliot Lear <[email-masked]>
Date: Tue, 14 Dec 2021 11:20:46 +0100

Thank you Peter for this latest draft.  I have asked Peter to wait just 
a few days before posting an update to address Mark's comments.  I think 
it's best to hold off on the 2 week last call until *after* the 1st of 
the year at this point.

I am tempted to put a placeholder in the schedule for an interim in 
January –– JUST IN CASE.  I do not think we will need it, but I have 
been wrong before.

Thoughts?

Eliot

On 14.12.21 00:16, Peter Saint-Andre wrote:
> missed anything, please let me know by posting on the list or by 
> filing a GitHub issue.
>
> Thanks!
>
> Peter
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 15 Dec 2021 09:03:05 +1300

On 14-Dec-21 23:20, Eliot Lear wrote:
> Thank you Peter for this latest draft.  I have asked Peter to wait 
just a few days before posting an update to address Mark's comments.  
I think it's best to hold off on the 2 week last call until *after* the 1st of the year at this point.

Please don't lose the small issue I noted a couple of days ago:
"As far as I can see, we don't specify whether the RSAB's mailing list does, or doesn't, have a public archive."

> I am tempted to put a placeholder in the schedule for an interim in January –– JUST IN CASE.  I do not think we will need it, but I have been wrong before.
> 
> Thoughts?

I'm really hoping the remaining issues are minor enough to avoid that. What we get back as  IAB comments or wider community comments is quite unpredictable and might need a discussion, but more likely in February.

     Brian C

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 14 Dec 2021 13:26:47 -0700

On 12/14/21 1:03 PM, Brian E Carpenter wrote:
> just a few days before posting an update to address Mark's comments. I 
> think it's best to hold off on the 2 week last call until *after* the 
> 1st of the year at this point.
> 
> "As far as I can see, we don't specify whether the RSAB's mailing list 
> does, or doesn't, have a public archive."

Do note that in -07 I made it explicit that the RSWG list is to be 
publicly archived. We should make a decision about that regarding RSAB. 
It strikes me as a good idea.

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 14 Dec 2021 13:28:18 -0700

> it's best to hold off on the 2 week last call until *after* the 1st of 

In that case I'll likely wait until January 3rd to post a new version so 
as to address any further comments that come in before the end of the year.

Peter